org.sqlite.core

## Interface Codes

All Known Implementing Classes:
  CorePreparedStatement, CoreResultSet, CoreStatement, DB, JDBC3PreparedStatement, JDBC3ResultSet, JDBC3Statement, JDBC4PreparedStatement, JDBC4ResultSet, JDBC4Statement, NativeDB

    public interface Codes

### Field Summary

Fields
`static int` `SQLITE_ABORT` Callback routine requested an abort
`static int` `SQLITE_AUTH` Authorization denied
`static int` `SQLITE_BLOB`
`static int` `SQLITE_BUSY` The database file is locked
`static int` `SQLITE_CANTOPEN` Unable to open the database file
`static int` `SQLITE_CONSTRAINT` Abort due to constraint violation
`static int` `SQLITE_CORRUPT` The database disk image is malformed
`static int` `SQLITE_DONE` sqlite_step() has finished executing
`static int` `SQLITE_EMPTY` (Internal Only) Database table is empty
`static int` `SQLITE_ERROR` SQL error or missing database
`static int` `SQLITE_FLOAT`
`static int` `SQLITE_FULL` Insertion failed because database is full
`static int` `SQLITE_INTEGER`
`static int` `SQLITE_INTERNAL` An internal logic error in SQLite
`static int` `SQLITE_INTERRUPT` Operation terminated by sqlite_interrupt()
`static int` `SQLITE_IOERR` Some kind of disk I/O error occurred
`static int` `SQLITE_LOCKED` A table in the database is locked
`static int` `SQLITE_MISMATCH` Data type mismatch
`static int` `SQLITE_MISUSE` Library used incorrectly
`static int` `SQLITE_NOLFS` Uses OS features not supported on host
`static int` `SQLITE_NOMEM` A malloc() failed
`static int` `SQLITE_NOTFOUND` (Internal Only) Table or record not found
`static int` `SQLITE_NULL`
`static int` `SQLITE_OK` Successful result
`static int` `SQLITE_PERM` Access permission denied
`static int` `SQLITE_PROTOCOL` Database lock protocol error
`static int` `SQLITE_READONLY` Attempt to write a readonly database
`static int` `SQLITE_ROW` sqlite_step() has another row ready
`static int` `SQLITE_SCHEMA` The database schema changed
`static int` `SQLITE_TEXT`
`static int` `SQLITE_TOOBIG` Too much data for one row of a table

### Field Detail

#### SQLITE_OK

    static final int SQLITE_OK

Successful result

See Also:
  Constant Field Values

#### SQLITE_ERROR

    static final int SQLITE_ERROR

SQL error or missing database

See Also:
  Constant Field Values

#### SQLITE_INTERNAL

    static final int SQLITE_INTERNAL

An internal logic error in SQLite

See Also:
  Constant Field Values

#### SQLITE_PERM

    static final int SQLITE_PERM

Access permission denied

See Also:
  Constant Field Values

#### SQLITE_ABORT

    static final int SQLITE_ABORT

Callback routine requested an abort

See Also:
  Constant Field Values

#### SQLITE_BUSY

    static final int SQLITE_BUSY

The database file is locked

See Also:
  Constant Field Values

#### SQLITE_LOCKED

    static final int SQLITE_LOCKED

A table in the database is locked

See Also:
  Constant Field Values

#### SQLITE_NOMEM

    static final int SQLITE_NOMEM

A malloc() failed

See Also:
  Constant Field Values

#### SQLITE_READONLY

    static final int SQLITE_READONLY

Attempt to write a readonly database

See Also:
  Constant Field Values

#### SQLITE_INTERRUPT

    static final int SQLITE_INTERRUPT

Operation terminated by sqlite_interrupt()

See Also:
  Constant Field Values

#### SQLITE_IOERR

    static final int SQLITE_IOERR

Some kind of disk I/O error occurred

See Also:
  Constant Field Values

#### SQLITE_CORRUPT

    static final int SQLITE_CORRUPT

The database disk image is malformed

See Also:
  Constant Field Values

#### SQLITE_NOTFOUND

    static final int SQLITE_NOTFOUND

(Internal Only) Table or record not found

See Also:
  Constant Field Values

#### SQLITE_FULL

    static final int SQLITE_FULL

Insertion failed because database is full

See Also:
  Constant Field Values

#### SQLITE_CANTOPEN

    static final int SQLITE_CANTOPEN

Unable to open the database file

See Also:
  Constant Field Values

#### SQLITE_PROTOCOL

    static final int SQLITE_PROTOCOL

Database lock protocol error

See Also:
  Constant Field Values

#### SQLITE_EMPTY

    static final int SQLITE_EMPTY

(Internal Only) Database table is empty

See Also:
  Constant Field Values

#### SQLITE_SCHEMA

    static final int SQLITE_SCHEMA

The database schema changed

See Also:
  Constant Field Values

#### SQLITE_TOOBIG

    static final int SQLITE_TOOBIG

Too much data for one row of a table

See Also:
  Constant Field Values

#### SQLITE_CONSTRAINT

    static final int SQLITE_CONSTRAINT

Abort due to constraint violation

See Also:
  Constant Field Values

#### SQLITE_MISMATCH

    static final int SQLITE_MISMATCH

Data type mismatch

See Also:
  Constant Field Values

#### SQLITE_MISUSE

    static final int SQLITE_MISUSE

Library used incorrectly

See Also:
  Constant Field Values

#### SQLITE_NOLFS

    static final int SQLITE_NOLFS

Uses OS features not supported on host

See Also:
  Constant Field Values

#### SQLITE_AUTH

    static final int SQLITE_AUTH

Authorization denied

See Also:
  Constant Field Values

#### SQLITE_ROW

    static final int SQLITE_ROW

sqlite_step() has another row ready

See Also:
  Constant Field Values

#### SQLITE_DONE

    static final int SQLITE_DONE

sqlite_step() has finished executing

See Also:
  Constant Field Values

#### SQLITE_INTEGER

    static final int SQLITE_INTEGER

See Also:
  Constant Field Values

#### SQLITE_FLOAT

    static final int SQLITE_FLOAT

See Also:
  Constant Field Values

#### SQLITE_TEXT

    static final int SQLITE_TEXT

See Also:
  Constant Field Values

#### SQLITE_BLOB

    static final int SQLITE_BLOB

See Also:
  Constant Field Values

#### SQLITE_NULL

    static final int SQLITE_NULL

See Also:
  Constant Field Values